<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="styleExo2.css"/>
    <title>Document</title>
</head>
<body>
    <div id="container"></div>

    <script>

        const box = document.createElement("div");
        box.classList.add("box");

        const container = document.querySelector("#container");

        for (let i = 0; i < 4; i++) {
            const newBox = box.cloneNode();
            newBox.innerText = "click me";
            container.appendChild(newBox);

            newBox.addEventListener("click", function() {
                newBox.classList.add("clicked");
            });
            newBox.addEventListener("dblclick", function() {
                newBox.classList.remove("clicked");
            });


        }
        


    </script>
</body>
</html>